using System;
using System.Runtime.InteropServices;
namespace MessageBox
{
	
	public class WinAPIClass
	{
		#region    MessageBox
		/// <summary>
		///    MessageBox.
		/// </summary>
		/// <param name="handle">  </param>
		/// <param name="text"> .</param>
		/// <param name="title"> .</param>
		/// <param name="type"> .</param>		
		/// <returns></returns>
		[DllImport("user32.dll", CharSet=CharSet.Auto)]
		public static extern int MessageBox(IntPtr handle, string text, string title, uint type);
		/// <summary>
		///   .
		/// </summary>
		public enum MessageBoxType:int
		{
			/// <summary>
			///   - Abort, Retry, Ignore
			/// </summary>
			MB_ABORTRETRYIGNORE = 2,
			/// <summary>
			///   - Cancel, Try, Continue
			/// </summary>
			MB_CANCELTRYCONTINUE = 6,			
			/// <summary>
			///   - Ok.
			/// </summary>
			MB_OK = 0,
			/// <summary>
			///   - Ok, Cancel.
			/// </summary>
			MB_OKCANCEL = 1,
			/// <summary>
			///   - Retry, Cancel
			/// </summary>
			MB_RETRYCANCEL = 5,
			/// <summary>
			///   - Yes, No
			/// </summary>
			MB_YESNO = 4,
			/// <summary>
			///    - Yes, No, Cancel
			/// </summary>
			MB_YESNOCANCEL = 3,
			/// <summary>
			///  - 
			/// </summary>
			MB_ICONEXCLAMATION = 0x30,
			/// <summary>
			///  - 
			/// </summary>
			MB_ICONWARNING = 0x30,
			/// <summary>
			///  - 
			/// </summary>
			MB_ICONINFORMATION = 0x40,
			/// <summary>
			///  - 
			/// </summary>
			MB_ICONQUESTION = 0x20,
			/// <summary>
			///  - 
			/// </summary>
			MB_ICONSTOP = 0x10,
			/// <summary>
			///  - 
			/// </summary>
			MB_ICONERROR = 0x10,
					
		}
		/// <summary>
		///   .
		/// </summary>
		public enum MessageBoxReturnType:int
		{
			IDABORT = 3,
			IDCANCEL = 2,
			IDCONTINUE = 11,
			IDIGNORE = 5,
			IDNO = 7,
			IDOK = 1,
			IDRETRY = 4,
			IDTRYAGAIN = 10,
			IDYES = 6
		}
		#endregion
	}
}
